# Generated by Django 5.1.7 on 2025-03-15 13:51

import django.core.validators
import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Transportation',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('chassis_number', models.CharField(max_length=15, unique=True, validators=[django.core.validators.RegexValidator(message='Nomor Rangka harus terdiri dari 5 huruf di awal diikuti 10 alfanumerik.', regex='^[A-Z]{5}[A-Z0-9]{10}$')])),
                ('sim_number', models.CharField(max_length=16, unique=True, validators=[django.core.validators.RegexValidator(message='Nomor SIM harus terdiri dari 16 angka.', regex='^\\d{16}$')])),
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='UserProfile',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('phone_regex', models.CharField(max_length=16, validators=[django.core.validators.RegexValidator(message='Nomor HP harus diawali dengan kode negara dan memiliki panjang 8-15 digit.', regex='^\\+?[1-9]\\d{7,14}$')])),
                ('birth_date', models.DateField()),
                ('blog_url', models.URLField()),
                ('description', models.TextField(validators=[django.core.validators.MinLengthValidator(5), django.core.validators.MaxLengthValidator(1000)])),
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
